
Foreman - Bug #12827

Allow non isolated engines to add overrides to filters search path

12/15/2015 08:41 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Plugin integration   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2977

  

Description

FilterHelperOverrides helper hardcodes deconstantize call, we should add detection for '::' and use it only if it's present, otherwise

engines that are not isolated in own namespace (e.g. RemoteExecution) can't add their own autocompletion search overrides.

see the code for more details https://github.com/theforeman/foreman/blob/develop/app/helpers/filters_helper_overrides.rb#L13

Related issues:

Related to Foreman - Feature #5753: Allow customisation of autocomplete_searc... Closed 05/02/2014

Associated revisions

Revision ab0cc0a1 - 12/16/2015 06:22 AM - Marek Hulán

Fixes #12827 - deconstantize resource only when needed

Revision 2486d7a4 - 01/19/2016 08:18 AM - Marek Hulán

Fixes #12827 - deconstantize resource only when needed

(cherry picked from commit ab0cc0a1023a27d720da6c8f6e6e87c5164a858b)

History

#1 - 12/15/2015 08:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/2977 added

#2 - 12/15/2015 08:58 AM - Marek Hulán

- Related to Feature #5753: Allow customisation of autocomplete_search path for resources in filter create/edit added

#3 - 12/16/2015 06:23 AM - Dominic Cleal

- translation missing: en.field_release set to 104

#4 - 12/16/2015 07:04 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ab0cc0a1023a27d720da6c8f6e6e87c5164a858b.
